## Obsidian daily notes new tab

This plugin adds a command for opening daily notes in a new tab (so that a keyboard shortcut could be used!) and gives extra control over the behavior of daily notes.

Features:
- ⚡️ Provides command and sidebar button for "Open today's daily note in new tab"
- 🔎 Find and focus on the already opened note to avoid redundancy
- 🕐 Determine end of day time, let you open the right daily note at midnight
- 🌈 Colorize the daily note pane to make it outstanding (both light & dark theme)

Installation: search for "**Daily notes new tab**" in Community plugins.

## Settings

- End of day time

    Determine today's date, if the value is 03:00 and the current date-time is 2022-03-03 02:59, then the date for today is 2022-03-02.

    Default: `05:00`
- Always open a new tab

    Set true to always open a new tab even if the daily note is already opened, otherwise, the plugin will try to find the existing daily note and focus on it

    Default: `false`
- Background color (light theme)

    Set the background color of the daily note under light theme

    Default: `#fefaea`

- Background color (dark theme)

    Set the background color of the daily note under dark theme

    Default: `#2d291f`

## FAQ

- Q: Does this work with [Periodic Notes](https://github.com/liamcain/obsidian-periodic-notes)?

	A: Yes, if *Daily Notes* in the **Periodic Notes** plugin is enabled, it will use settings from Periodic Notes, otherwise, it will use settings from the **Daily notes core plugin**.

## Credits

This project is made possible by the community surrounding it and especially the wonderful projects listed in this document.

### Projects

- [Obsidian Daily Notes interface](https://github.com/liamcain/obsidian-daily-notes-interface)
- [QuickAdd](https://github.com/chhoumann/quickadd)
- [Obsidian Style Settings Plugin](https://github.com/mgmeyers/obsidian-style-settings)
- [Hot-Reload Plugin for Obsidian.md Plugins](https://github.com/pjeby/hot-reload)
- [Customizable Sidebar Plugin](https://github.com/phibr0/obsidian-customizable-sidebar)
- [Auto Class Plugin](https://github.com/OfficerHalf/obsidian-auto-class)
